'/* Copyright (C) 2007-2013 Gert Andersen, 2:230/150.150.
'   This file is part of fidopoint. It is free software and it is covered
'   by the GNU general public license. See the file LICENSE for details. */

' Script for creation FIDONet IP node configuraion

Option Explicit


' You need change these 10 constants!
'---------------------------------
const yourFullName                = "Firstname Lastname"
const yourNodeAddress             = "2:230/999"
const yourStationName             = "MyStation"
const yourLocation                = "Somewhere, Denmark"
const yourDNSNAMEorIP             = "192.168.4.7"
const your1stPointPassword        = "12345678"

const yourUplinkName              = "Gert Andersen"
const uplinkFTNAddress            = "2:230/150"
const uplinkServerName            = "binkp.kofobbs.dk"
const yourUplinkPassword          = "09876543"
'---------------------------------



'  This is additional setting.
'  FGHI support in headers.
' Yes /or No.
'---------------------------------
const FGHIHeader       = "Yes"
'----------------------------















































Dim yourZoneNumber, yourFTNAddressTrim, yourFTNAddressLen, yourShorNodeNameLen, yourShorNodeName
yourFTNAddressTrim = Trim(yourNodeAddress)
yourZoneNumber  = Left(yourFTNAddressTrim,1)
yourFTNAddressLen = Len(yourFTNAddressTrim)
yourShorNodeNameLen = yourFTNAddressLen - 2
yourShorNodeName = Right(yourFTNAddressTrim,yourShorNodeNameLen) 
yourShorNodeName = Replace(yourShorNodeName, "/", "-")


Dim uplinkFTNAddressTrim, uplinkFTNAddressLen, uplinkShorNodeNameLen, uplinkShorNodeName
uplinkFTNAddressTrim = Trim(uplinkFTNAddress)
uplinkFTNAddressLen = Len(uplinkFTNAddressTrim)
uplinkShorNodeNameLen = uplinkFTNAddressLen - 2
uplinkShorNodeName = Right(uplinkFTNAddressTrim,uplinkShorNodeNameLen) 
uplinkShorNodeName = Replace(uplinkShorNodeName, "/", "-")


Dim FSO

Set FSO = CreateObject("Scripting.FileSystemObject")

FSO.CopyFile "\fpnt\usr\fidoconf\template\node\binkd.cfg.template-node", "\fpnt\usr\fidoconf\binkd.cfg"
FSO.CopyFile "\fpnt\usr\fidoconf\template\node\config.template-node", "\fpnt\usr\fidoconf\config.cfg"
FSO.CopyFile "\fpnt\usr\fidoconf\template\node\decode.txt.template-node", "\fpnt\usr\GoldEd+\golded.cfg"
'FSO.CopyFile "\fpnt\usr\fidoconf\template\names.fd.template", "\fpnt\usr\GoldEd+\names.fd"
FSO.CopyFile "\fpnt\usr\fidoconf\template\params.bat.template", "\fpnt\usr\bin\params.bat"
FSO.CopyFile "\fpnt\usr\fidoconf\template\rs.bat.template", "\fpnt\usr\bin\rs.bat"

FSO.CopyFile "\fpnt\usr\fidoconf\template\node\readonly-link.lst.template-node", "\fpnt\usr\fidoconf\readonly.lst"
FSO.CopyFile "\fpnt\usr\fidoconf\template\node\uplink.lst.template-node", "\fpnt\usr\fidoconf\uplink.lst"
FSO.CopyFile "\fpnt\usr\fidoconf\template\node\link.lst", "\fpnt\usr\fidoconf\link.lst"
FSO.CopyFile "\fpnt\usr\fidoconf\template\node\point.lst", "\fpnt\usr\fidoconf\point.lst"
FSO.CopyFile "\fpnt\usr\fidoconf\template\node\routing.lst", "\fpnt\usr\fidoconf\routing.lst"
FSO.CopyFile "\fpnt\usr\fidoconf\template\node\route-default.lst.template-node", "\fpnt\usr\fidoconf\route-default.lst"

FSO.CopyFile "\fpnt\usr\fidoconf\template\node\areafix.template-node", "\home\fido\areafix.hlp"
FSO.CopyFile "\fpnt\usr\fidoconf\template\node\filefix.template-node", "\home\fido\filefix.hlp"

FSO.CopyFile "\fpnt\usr\fidoconf\template\node\macro.cfg.template-node",  "\fpnt\usr\GoldEd+\macro.cfg"

FSO.CopyFile "\fpnt\usr\fidoconf\template\node\fido.dayly.bat.template-node",  "\fpnt\usr\bin\fido.dayly.bat"

FSO.CopyFile "\fpnt\usr\fidoconf\template\node\fido.monthly.bat.template-node",  "\fpnt\usr\bin\fido.monthly.bat"

FSO.CopyFile "\fpnt\usr\fidoconf\template\node\rules.txt",  "\home\fido\rules.txt"
FSO.CopyFile "\fpnt\usr\fidoconf\template\node\rules1.txt",  "\home\fido\rules1.txt"
FSO.CopyFile "\fpnt\usr\fidoconf\template\node\rules2.txt",  "\home\fido\rules2.txt"

FSO.CopyFile "\fpnt\usr\fidoconf\template\node\binkdsrv.bat.template-node",  "\fpnt\usr\bin\binkdsrv.bat"

FSO.CopyFile "\fpnt\usr\fidoconf\template\node\recv.bat.template-node",  "\fpnt\usr\bin\recv.bat"

FSO.CopyFile "\fpnt\usr\fidoconf\template\node\rs.bat.template-node",  "\fpnt\usr\bin\rs.bat"

FSO.CopyFile "\fpnt\usr\fidoconf\template\node\poll.bat.template-node",  "\fpnt\usr\bin\poll.bat"

FSO.CopyFile "\fpnt\usr\fidoconf\template\node\clean_outb.vbs.template-node",  "\fpnt\usr\bin\clean_outb.vbs"

FSO.CopyFile "\fpnt\usr\fidoconf\template\node\welcome.bat.template-node",  "\fpnt\usr\bin\welcome.bat"
FSO.CopyFile "\fpnt\usr\fidoconf\template\node\welcome2.template-node",  "\home\fido\welcome2.template-node"
FSO.CopyFile "\fpnt\usr\fidoconf\template\node\announce1.template-node",  "\home\fido\announce1.template-node"
FSO.CopyFile "\fpnt\usr\fidoconf\template\node\announce.template-node",  "\home\fido\announce.template-node"
FSO.CopyFile "\fpnt\usr\fidoconf\template\node\crontask.vbs.template-node", "\fpnt\usr\bin\crontask.vbs"
FSO.CopyFile "\fpnt\usr\fidoconf\template\node\crontab.cfg.template-node", "\fpnt\usr\fidoconf\crontab.cfg"
FSO.CopyFile "\fpnt\usr\fidoconf\template\node\shortcut.vbs.template-node", "\fpnt\usr\bin\shortcut.vbs"

If FGHIHeader = "Yes" Then
FSO.CopyFile "\fpnt\usr\fidoconf\template\golded.tpl.template","\fpnt\usr\GoldEd+\golded.tpl"
else
FSO.CopyFile "\fpnt\usr\fidoconf\template\golded-fghi-disable.tpl.template", "\fpnt\usr\GoldEd+\golded.tpl"
End If




Sub ProcessFile(ByVal fName, ByVal from_, ByVal to_)
 Const ForReading = 1, ForWriting = 2

 Dim rFile 
 Set rFile = FSO.OpenTextFile(fName,ForReading)
 Dim Text
 Text = rFile.ReadAll
 Text = replace(Text,from_,to_)

 Dim wFile 
 Set wFile = FSO.OpenTextFile(fName,ForWriting)
 wFile.Write Text

 Set rFile = nothing
 Set wFile = nothing
End Sub 

Sub ProcessName(ByVal fName)
 ProcessFile fName, "SYSTEM-OPERATOR-NAME", yourFullName
End Sub

Sub ProcessPointName(ByVal fName)
 ProcessFile fName, "POINT-NAME", yourFullName
End Sub

Sub ProcessPointNumber(ByVal fName)
 ProcessFile fName, "POINT-NUMBER", "1"
End Sub

Sub ProcessNode1(ByVal fName)
 ProcessFile fName, "MYNODE-ADDRESS", yourNodeAddress
End Sub

Sub ProcessStation(ByVal fName)
 ProcessFile fName, "SYSTEM-NAME", yourStationName
End Sub

Sub ProcessLocation(ByVal fName)
 ProcessFile fName, "LOCATION-TOWN", yourLocation
End Sub

Sub ProcessUpName1(ByVal fName)
 ProcessFile fName, "FIRSTLINK-NODE-NAME", yourUplinkName
End Sub

Sub ProcessUpName(ByVal fName)
 ProcessFile fName, "LINK-NODE-NAME", yourUplinkName
End Sub

	
Sub ProcessUpAddress1(ByVal fName)
 ProcessFile fName, "FIRSTLINK-NODE-ADDRESS", uplinkFTNAddress
End Sub

Sub ProcessUpRead(ByVal fName)
 ProcessFile fName, " LINK-ADDRESS", uplinkFTNAddress
End Sub

Sub ProcessUpAddress(ByVal fName)
 ProcessFile fName, "LINK-NODE-ADDRESS", uplinkFTNAddress
End Sub

Sub ProcessUpServer1(ByVal fName)
 ProcessFile fName, "FIRSTLINK-HOST-DOMAIN-NAME", uplinkServerName
End Sub	

Sub ProcessUpServer(ByVal fName)
 ProcessFile fName, "LINK-HOST-DOMAIN-NAME", uplinkServerName
End Sub	

Sub ProcessmyDNSNAMEorIP(ByVal fName)
 ProcessFile fName, "MYHOST-DOMAIN-NAME", yourDNSNAMEorIP
End Sub	


Sub ProcessPass1(ByVal fName)
 ProcessFile fName, "FIRSTLINK-NODE-PASSWORD", yourUplinkPassword
End Sub

Sub ProcessPass(ByVal fName)
 ProcessFile fName, "LINK-NODE-PASSWORD", yourUplinkPassword
End Sub

Sub ProcessZone(ByVal fName)
 ProcessFile fName, "ZONE-NUMBER", yourZoneNumber
End Sub

Sub ProcessShortNodeAddress(ByVal fName)
 ProcessFile fName, "SHORTNODE-NAME", yourShorNodeName
End Sub

Sub ProcessShortUplinkAddress(ByVal fName)
 ProcessFile fName, "SHORTLINK-NAME", uplinkShorNodeName
End Sub


Sub ProcessPass1st(ByVal fName)
 ProcessFile fName, "MYPOINT-PASSWORD", your1stPointPassword
End Sub


Sub ProcessDrive(ByVal fName)
 ProcessFile fName, "\fnt\", FSO.GetDriveName(FSO.GetAbsolutePathName(fName)) 
End Sub



Sub ProcessAll(ByVal fName)
 ProcessName fName 
 ProcessNode1 fName
 ProcessStation fName
 ProcessLocation fName
 ProcessUpName1 fName
 ProcessUpName fName
 ProcessUpAddress1 fName
 ProcessUpAddress fName
 ProcessUpServer1 fName
 ProcessUpServer fName
 ProcessPass1 fName
 ProcessPass fName
 ProcessZone fName
 ProcessmyDNSNAMEorIP fName
 ProcessPass1st fName
 ProcessUpRead fName
 ProcessShortNodeAddress fName
 ProcessShortUplinkAddress fName
 ProcessPointNumber fName
 ProcessPointName fName
 ProcessDrive fName 
End Sub




Set FSO = CreateObject("Scripting.FileSystemObject")

ProcessAll "\fpnt\usr\fidoconf\binkd.cfg"
ProcessAll "\fpnt\usr\fidoconf\config.cfg"
ProcessAll "\fpnt\usr\GoldEd+\golded.cfg"
'ProcessAll "\fpnt\usr\GoldEd+\names.fd"
ProcessAll "\fpnt\usr\bin\params.bat" 
ProcessAll "\fpnt\usr\bin\rs.bat"

ProcessAll "\fpnt\usr\fidoconf\readonly.lst"
ProcessAll "\fpnt\usr\fidoconf\uplink.lst"
ProcessAll "\fpnt\usr\fidoconf\link.lst"
ProcessAll "\fpnt\usr\fidoconf\point.lst"
ProcessAll "\fpnt\usr\fidoconf\routing.lst" 
ProcessAll "\fpnt\usr\fidoconf\route-default.lst"

ProcessAll "\fpnt\usr\bin\binkdsrv.bat"

ProcessAll "\fpnt\usr\GoldEd+\macro.cfg"

ProcessAll "\fpnt\usr\bin\fido.dayly.bat"

ProcessAll "\fpnt\usr\bin\fido.monthly.bat"

ProcessAll "\home\fido\rules.txt"
ProcessAll "\home\fido\rules1.txt"
ProcessAll "\home\fido\rules2.txt"

ProcessAll  "\home\fido\areafix.hlp"
ProcessAll  "\home\fido\filefix.hlp"

ProcessAll "\fpnt\usr\bin\clean_outb.vbs"

ProcessAll "\fpnt\usr\bin\poll.bat"

ProcessAll "\fpnt\usr\bin\welcome.bat"

ProcessAll "\home\fido\welcome2.template-node"

ProcessAll "\home\fido\announce1.template-node"

ProcessAll "\home\fido\announce.template-node"

ProcessAll "\fpnt\usr\bin\shortcut.vbs"

ProcessAll  "\fpnt\usr\bin\crontask.vbs"

ProcessAll  "\fpnt\usr\fidoconf\crontab.cfg"


Set FSO = nothing


Dim objFolder

Set FSO = CreateObject("Scripting.FileSystemObject")

If FSO.FolderExists("\fpnt\usr\tools") Then
Set objFolder = FSO.GetFolder("\fpnt\usr\tools")
Else
Set objFolder = FSO.CreateFolder("\fpnt\usr\tools")
End If

FSO.CopyFile "\fpnt\usr\fidoconf\template\node\addpoint.vbs.template-node",  "\fpnt\usr\tools\addpoint.vbs"
FSO.CopyFile "\fpnt\usr\fidoconf\template\node\addlink.vbs.template-node",  "\fpnt\usr\tools\addlink.vbs"
FSO.CopyFile "\fpnt\usr\fidoconf\template\node\addread.vbs.template-node",  "\fpnt\usr\tools\addread.vbs"
FSO.CopyFile "\fpnt\usr\fidoconf\template\node\listlink.vbs.template-node",  "\fpnt\usr\tools\listlink.vbs"
FSO.CopyFile "\fpnt\usr\fidoconf\template\node\listpoint.vbs.template-node",  "\fpnt\usr\tools\listpoint.vbs"
FSO.CopyFile "\fpnt\usr\fidoconf\template\node\removelink.vbs.template-node",  "\fpnt\usr\tools\removelink.vbs"
FSO.CopyFile "\fpnt\usr\fidoconf\template\node\removepoint.vbs.template-node",  "\fpnt\usr\tools\removepoint.vbs"
FSO.CopyFile "\fpnt\usr\fidoconf\template\node\listecho.vbs.template-node",  "\fpnt\usr\tools\listecho.vbs"
FSO.CopyFile "\fpnt\usr\fidoconf\template\node\listread.vbs.template-node",  "\fpnt\usr\tools\listread.vbs"
FSO.CopyFile "\fpnt\usr\fidoconf\template\node\removeread.vbs.template-node",  "\fpnt\usr\tools\removeread.vbs"
FSO.CopyFile "\fpnt\usr\fidoconf\template\node\pointlist.vbs.template-node",  "\fpnt\usr\tools\pointlist.vbs"


Dim fName1 

Sub ProcessFileUpdate(ByVal fName1, ByVal from_, ByVal to_)
 Const ForReading = 1, ForWriting = 2

 Dim rFile 
 Set rFile = FSO.OpenTextFile(fName1,ForReading)
 Dim Text
 Text = rFile.ReadAll
 Text = replace(Text,from_,to_)

 Dim wFile 
 Set wFile = FSO.OpenTextFile(fName1,ForWriting)
 wFile.Write Text

 Set rFile = nothing
 Set wFile = nothing
End Sub 




Sub MyFullName(ByVal fName1)
 ProcessFileUpdate fName1, "Vasiliy Pampasov", yourFullName
End Sub

Sub FTNAddress(ByVal fName1)
 ProcessFileUpdate fName1, "2:5020/788", yourNodeAddress
End Sub

Sub MySysName(ByVal fName1)
 ProcessFileUpdate fName1, "MyStation", yourStationName
End Sub

Sub ShorNodeName(ByVal fName1)
 ProcessFileUpdate fName1, "5020-788", yourShorNodeName
End Sub



Sub ProcessUpdate(ByVal fName1)
 MyFullName fName1 
 FTNAddress fName1
 MySysName fName1
 ShorNodeName fName1
End Sub


ProcessUpdate "\fpnt\usr\tools\addpoint.vbs"
ProcessUpdate "\fpnt\usr\tools\addlink.vbs"
ProcessUpdate "\fpnt\usr\tools\addread.vbs"
ProcessUpdate  "\fpnt\usr\tools\removelink.vbs"
ProcessUpdate  "\fpnt\usr\tools\removepoint.vbs"
ProcessUpdate  "\fpnt\usr\tools\removeread.vbs"


Dim strProgramPath, objShell
strProgramPath = "cmd /c \fpnt\usr\bin\welcome.bat"
set objShell = createobject("Wscript.Shell")
objShell.Run strProgramPath

strProgramPath = "\fpnt\usr\bin\shortcut.vbs"
set objShell = createobject("Wscript.Shell")
objShell.Run strProgramPath


msgbox "CrLf& "Now we are testing binkd service and fxcron daemon " 

WScript.Sleep(3000)

strProgramPath = "cmd /c \fpnt\usr\bin\binkdsrv.bat"
set objShell = createobject("Wscript.Shell")
objShell.Run strProgramPath

WScript.Sleep(3000)

msgbox "Setup of package for node is completed"  &VbCrLf&  " template Node Management Tools \fpnt\usr\tools"  &VbCrLf&  "For management use Node Management Tools in \fpnt\usr\tools"

WScript.Sleep(777)

msgbox "Read message to you in GoldED"

WScript.Sleep(777)

strProgramPath = "cmd /c \fpnt\usr\bin\ge.bat"
set objShell = createobject("Wscript.Shell")
objShell.Run strProgramPath

